#!/bin/sh
grep mtdblock4 /etc/fstab

# if mtdblock4 is not found it means that the partition is not in use
# So we make the fs to the partition and start using it
if [ $? -ne 0 ]
then
        flash_eraseall /dev/mtd4
        cd /opt/mm/user
        # this makes directory structure of opt/mm/user to the new FS
        mkfs.jffs2 -r /opt/mm/user -p -o /dev/mtdblock4
        if [ $? -eq 0 ]
        then
                echo "/dev/mtdblock4  /opt/mm/user jffs2  defaults          0       0" >> /etc/fstab
                if [ $? -eq 0 ]
                then
                        rm -rf /opt/mm/user/*
                fi
        fi
        mount -a
fi
